GEOS: geos::geom::prep::PreparedPoint Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::geom::prep::PreparedPoint Class Reference

A prepared version of Point or MultiPoint geometries. More...

`#include <PreparedPoint.h>`

Inheritance diagram for geos::geom::prep::PreparedPoint:

## Public Member Functions
| PreparedPoint (const Geometry *geom)
bool | intersects (const geom::Geometry *g)
Public Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
| BasicPreparedGeometry (const Geometry *geom)
const geom::Geometry & | getGeometry () const
const Coordinate::ConstVect * | getRepresentativePoints () const
bool | isAnyTargetComponentInTest (const geom::Geometry *testGeom) const
bool | contains (const geom::Geometry *g) const
bool | containsProperly (const geom::Geometry *g) const
bool | coveredBy (const geom::Geometry *g) const
bool | covers (const geom::Geometry *g) const
bool | crosses (const geom::Geometry *g) const
bool | disjoint (const geom::Geometry *g) const
bool | intersects (const geom::Geometry *g) const
bool | overlaps (const geom::Geometry *g) const
bool | touches (const geom::Geometry *g) const
bool | within (const geom::Geometry *g) const
std::string | toString ()

## Additional Inherited Members
Protected Member Functions inherited from geos::geom::prep::BasicPreparedGeometry
void | setGeometry (const geom::Geometry *geom)
bool | envelopesIntersect (const geom::Geometry *g) const
bool | envelopeCovers (const geom::Geometry *g) const

## Detailed Description

A prepared version of Point or MultiPoint geometries.

Author
  Martin Davis

## Member Function Documentation

bool geos::geom::prep::PreparedPoint::intersects | ( | const geom::Geometry * | g | ) |

Tests whether this point intersects a Geometry.

The optimization here is that computing topology for the test geometry is avoided. This can be significant for large geometries.

The documentation for this class was generated from the following file:

- PreparedPoint.h